### Function

# Qmi MessageUimOpenLogicalChannelInput new

since: 1.36

#### Declaration [src]

    QmiMessageUimOpenLogicalChannelInput*
    qmi_message_uim_open_logical_channel_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageUimOpenLogicalChannelInput`.

Available since: 1.36

#### Return value

Type: `QmiMessageUimOpenLogicalChannelInput`

The newly created `QmiMessageUimOpenLogicalChannelInput`. The returned value should be freed with qmi_message_uim_open_logical_channel_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.